Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.getsubfolders
Class GetSubFoldersData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.getsubfolders.GetSubFoldersData

All Implemented Interfaces:
  StepDataInterface

    public class GetSubFoldersData

extends BaseStepData
implements StepDataInterface

Since:
  18-July-2008
Author:
  Samatar

Field Summary
`org.apache.commons.vfs.FileObject` | `file`
`int` | `filenr`
`org.pentaho.di.core.fileinput.FileInputList` | `files`
`int` | `filessize`
`int` | `indexOfFoldernameField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`boolean` | `isLastFile`
`int` | `nrStepFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previous_row`
`Object[]` | `readrow`
`long` | `rownr`
`int` | `totalpreviousfields`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`GetSubFoldersData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### previous_row

    public Object[] previous_row

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### files

    public org.pentaho.di.core.fileinput.FileInputList files

### isLastFile

    public boolean isLastFile

### filenr

    public int filenr

### filessize

    public int filessize

### file

    public org.apache.commons.vfs.FileObject file

### rownr

    public long rownr

### totalpreviousfields

    public int totalpreviousfields

### indexOfFoldernameField

    public int indexOfFoldernameField

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### readrow

    public Object[] readrow

### nrStepFields

    public int nrStepFields

Constructor Detail

### GetSubFoldersData

    public GetSubFoldersData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD